Hello,
I have a query regarding autocad viewport in the Model Space.
Suppose when working in Model space i split the space into 4 viewports .
All viewports show same elements in each view.
My Question is
if there is plan ,front elevation,section and specification in the dwg.(all viewports show all -plan ,front elevation and section and specification)
1) now by zoom/PAN options i set top left viewport showing just front elevation
2) the bottom left i set to plan view
3) then in top right i keep the section
4) and at bottom right i keep specification
now all set.I WANT TO COPY THE VIEW AT top left IN THE bottom right ,
how can i do that in a single command
(i can use the zoom in & zoom out,etc zoom options) But is there some command to copy the view from 1st divided vieports to some
another viewport of the 4 viewport i spilted.
It is available in microstation (that one window view can be copied on to another window view)if have ever got to use microstation,it is a quite useful command(COPY VIEW)
I wonder is there any such command in Autocad,if not there why havent there programmers made some command of same sort.
Solution on the above mentioned question is eagerly awaited,please be helpful to share the solution.
Thanks & Regards
Hello,
I have a query regarding autocad viewport in the Model Space.
Suppose when working in Model space i split the space into 4 viewports .
All viewports show same elements in each view.
My Question is
if there is plan ,front elevation,section and specification in the dwg.(all viewports show all -plan ,front elevation and section and specification)
1) now by zoom/PAN options i set top left viewport showing just front elevation
2) the bottom left i set to plan view
3) then in top right i keep the section
4) and at bottom right i keep specification
now all set.I WANT TO COPY THE VIEW AT top left IN THE bottom right ,
how can i do that in a single command
(i can use the zoom in & zoom out,etc zoom options) But is there some command to copy the view from 1st divided vieports to some
another viewport of the 4 viewport i spilted.
It is available in microstation (that one window view can be copied on to another window view)if have ever got to use microstation,it is a quite useful command(COPY VIEW)
I wonder is there any such command in Autocad,if not there why havent there programmers made some command of same sort.
Solution on the above mentioned question is eagerly awaited,please be helpful to share the solution.
Thanks & Regards
Hi,
>> I wonder is there any such command in Autocad
you can use command _VIEW and save the viewport settings as a named view ... that can then be restored on any other position.
>> if not there why havent there programmers made some command of same sort.
E.g. because I never change the view/orientation of two viewports (from upper left to lower right). 😉
But you can use all API's or menu macros to create your own commands ... or leave a feedback with your wish >>>here<<<.
- alfred -
Hi,
>> I wonder is there any such command in Autocad
you can use command _VIEW and save the viewport settings as a named view ... that can then be restored on any other position.
>> if not there why havent there programmers made some command of same sort.
E.g. because I never change the view/orientation of two viewports (from upper left to lower right). 😉
But you can use all API's or menu macros to create your own commands ... or leave a feedback with your wish >>>here<<<.
- alfred -
on the Ribbon look for the view tab, select the pull down option for Viewport configuration. select the option 4 equal.
go into the top left viewport and click on the (+) sign and select viewport configuration list at the bottom of the pop up window select Configure
change the setup for the first viewport to 3d, change the view type to FRONT repeat steps for each viewport to change them independantly.
save the setup as needed then you can call it back later
on the Ribbon look for the view tab, select the pull down option for Viewport configuration. select the option 4 equal.
go into the top left viewport and click on the (+) sign and select viewport configuration list at the bottom of the pop up window select Configure
change the setup for the first viewport to 3d, change the view type to FRONT repeat steps for each viewport to change them independantly.
save the setup as needed then you can call it back later
Not even sure why this still works (its only 22 years old). I'm sure someone over in the LISP forum could modernize it considerably. Load it, then enter the command VPSWAP pick a viewport that's not current that you want to swap, then pick the other viewport you want to swap and the two views swap viewports. I use it to swap a view in a smaller viewport to a larger viewport, check screencast below.
;;; VPSwap.LSP ;;; Copyright (C) 1995 "Falcon Design Services" ;;; ;;; THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED ;;; WARRANTY. ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR ;;; PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED. ;;; ;;; Permission to reuse, share, post, copy, borrow, steal, ;;; or generally do with it whatever you wish is hereby granted. ;;; Like that would make a lot of difference anyway. ;;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun c:VPSwap () (command-s ".undo" "begin") (if (= (getvar "cvport") 1) (command-s "_mspace") ) (command-s "_view" "_d" "vpswap*") ;;;;Delete any existing vport views (prompt "\nSelect a DIFFERENT viewport") ;;;;Get the first viewport (dvt:rm:cvpc) ;;;;Viewport select tool;; subroutine below (setq vprt01 (getvar "cvport")) ;;;;Get viewport setvar (command-s "_view" "_S" "vpswap01") ;;;;Save the view of that viewport (prompt "\nSelect another viewport") ;;;;Get the second viewport (dvt:rm:cvpc) ;;;;Viewport select tool;; subroutine below (setq vprt02 (getvar "cvport")) ;;;;Get viewport setvar (command-s "_view" "_S" "vpswap02") ;;;;Save the view of that viewport (setvar "cvport" vprt01) ;;;;Set first viewport (command-s "_view" "r" "vpswap02") ;;;;Restore Second View (setvar "cvport" vprt02) ;;;;Set second viewport (command-s "_view" "r" "vpswap01") ;;;;Restore first View (command-s "_view" "_d" "vpswap*") ;;;;Delete any existing vport views (command-s ".undo" "end") (princ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; ;------------------------------------------------------------------ (defun dvt:rm:cvpc ( / grrd weida p pold viewsize trigger) (setq weida T viewsize (getvar "VIEWSIZE") trigger (* viewsize 0.4)) ; adjust factor according to mouse speed etc (while weida (setq grrd (grread T )) ;(+ 1 2 4 8) 2 (cond ((= 5 (car grrd)) (setq p (cadr grrd)) (cond ((and pold (> (distance p pold) trigger)) (setq weida nil) ) ) (setq pold p) ) ((= 2 (car grrd))(setq weida nil)) (T nil ) ) ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Not even sure why this still works (its only 22 years old). I'm sure someone over in the LISP forum could modernize it considerably. Load it, then enter the command VPSWAP pick a viewport that's not current that you want to swap, then pick the other viewport you want to swap and the two views swap viewports. I use it to swap a view in a smaller viewport to a larger viewport, check screencast below.
;;; VPSwap.LSP ;;; Copyright (C) 1995 "Falcon Design Services" ;;; ;;; THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED ;;; WARRANTY. ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR ;;; PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED. ;;; ;;; Permission to reuse, share, post, copy, borrow, steal, ;;; or generally do with it whatever you wish is hereby granted. ;;; Like that would make a lot of difference anyway. ;;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun c:VPSwap () (command-s ".undo" "begin") (if (= (getvar "cvport") 1) (command-s "_mspace") ) (command-s "_view" "_d" "vpswap*") ;;;;Delete any existing vport views (prompt "\nSelect a DIFFERENT viewport") ;;;;Get the first viewport (dvt:rm:cvpc) ;;;;Viewport select tool;; subroutine below (setq vprt01 (getvar "cvport")) ;;;;Get viewport setvar (command-s "_view" "_S" "vpswap01") ;;;;Save the view of that viewport (prompt "\nSelect another viewport") ;;;;Get the second viewport (dvt:rm:cvpc) ;;;;Viewport select tool;; subroutine below (setq vprt02 (getvar "cvport")) ;;;;Get viewport setvar (command-s "_view" "_S" "vpswap02") ;;;;Save the view of that viewport (setvar "cvport" vprt01) ;;;;Set first viewport (command-s "_view" "r" "vpswap02") ;;;;Restore Second View (setvar "cvport" vprt02) ;;;;Set second viewport (command-s "_view" "r" "vpswap01") ;;;;Restore first View (command-s "_view" "_d" "vpswap*") ;;;;Delete any existing vport views (command-s ".undo" "end") (princ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; ;------------------------------------------------------------------ (defun dvt:rm:cvpc ( / grrd weida p pold viewsize trigger) (setq weida T viewsize (getvar "VIEWSIZE") trigger (* viewsize 0.4)) ; adjust factor according to mouse speed etc (while weida (setq grrd (grread T )) ;(+ 1 2 4 8) 2 (cond ((= 5 (car grrd)) (setq p (cadr grrd)) (cond ((and pold (> (distance p pold) trigger)) (setq weida nil) ) ) (setq pold p) ) ((= 2 (car grrd))(setq weida nil)) (T nil ) ) ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Can't find what you're looking for? Ask the community or share your knowledge.